### source/
MaSIF source code implemented in Python and Matlab. 

Navigating this code: 

Quick jump: if you are looking for the MaSIF geometric deep learning neural network code it is all under 'masif_modules/'

+ *core/*: Simple function to initialize matlab (to be removed in the future) 

+ *data_preparation/*: Protocols to generate the data. 

+ *gif_descriptors/*: Benchmarking code for Geometric Invariant Fingerprint descriptors. 

+ *input_output/*: Methods to read/write pdbs, protonate proteins. 

+ *masif_ligand/*: MaSIF-ligand specific functions (excluding the actual neural network classes)

+ *masif_modules/* Neural network classes for MaSIF-site, MaSIF-ligand, MaSIF-search. Also classes to feed the data for training and testing.

+ *masif_ppi_search/*: MaSIF-search specific functions, including second stage algorithms and the neural network to score transformations. 

+ *masif_pymol_plugin*: A plugin for pymol to visualize ply files in the format generated by MaSIF.

+ *masif_site*: MaSIF-site specific function. (excluding the actual neural network classes)

+ *matlab_libs*: Matlab functions used during the data preparation stages to compute (a) Shape index features, (b) shape complementarity values, (c) angular coordinates and (d) radial coordinates. Will be replaced by python code in the near future. 

+ *triangulation*: Triangulation functions to generate molecular surfaces and compute chemical properties on them.
