### source/triangulation
Functions used by MaSIF to triangulate proteins (through MSMS), regularize these meshes, and compute chemical charges.

+ *computeAPBS.py*: Wrapper function to compute the Poisson Boltzmann electrostatics for a surface using APBS.
+ *computeCharges.py*: Compute the free electrons/protons in the surface.
+ *computeHydrophobicity.py*: Compute the hydrophobicity of each vertex.
+ *computeMSMS.py*: Compute the MSMS surface of a protein.
+ *compute_normal.py*: Compute the normals of the surface.
+ *fixmesh.py*: Regularize an MSMS mesh
+ *xyzrn.py*: Output a PDB in the input format used by MSMS


